## ros-jazzy-laser-geometry 2.7.0

=== debian/changelog ===
ros-jazzy-laser-geometry (2.7.0-4bookworm) bookworm; urgency=high

  * Switch to target_link_libraries. (#92 <https://github.com/ros-perception/laser_geometry/issues/92>)
  * Contributors: Chris Lalancette

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-laser-geometry (2.6.0-4bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-laser-geometry (2.5.0-4bookworm) bookworm; urgency=high

  * Update laser_geometry to C++17. (#90 <https://github.com/ros-perception/laser_geometry/issues/90>)
  * Update Maintainers (#88 <https://github.com/ros-perception/laser_geometry/issues/88>)
  * Mirror rolling to ros2
  * Contributors: Audrow Nash, Chris Lalancette

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-laser-geometry (2.4.0-4bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME} (#86 <https://github.com/ros-perception/laser_geometry/issues/86>)
  * Explicit cast to double to prevent loss of precision
  * Fix Duration casting issue leading to no undistortion
  * Contributors: Jonathan Binney, Marco Lampacrescia, Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-laser-geometry (2.3.0-4bookworm) bookworm; urgency=high

  * Fix building on running on Windows Debug (#82 <https://github.com/ros-perception/laser_geometry/issues/82>)
  * Update python code and tests for ros2 (#80 <https://github.com/ros-perception/laser_geometry/issues/80>)
  * Contributors: Chris Lalancette, Jonathan Binney

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-laser-geometry (2.2.2-4bookworm) bookworm; urgency=high

  * Export sensor_msgs, tf2, and rclcpp as dependencies
  * Contributors: Mabel Zhang, Michel Hidalgo

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 10 May 2021 16:00:00 -0000

ros-jazzy-laser-geometry (2.2.1-4bookworm) bookworm; urgency=high

  * Use rclcpp::Duration::from_seconds (#72 <https://github.com/ros-perception/laser_geometry/issues/72>)
  * update maintainers
  * increase test timeout
  * Contributors: Dirk Thomas, Ivan Santiago Paunovic, Jonathan Binney, Mabel Zhang

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-jazzy-laser-geometry (2.2.0-4bookworm) bookworm; urgency=high

  * use ament_export_targets()
  * code style only: wrap after open parenthesis if not in one line (#52 <https://github.com/ros-perception/laser_geometry/issues/52>)
  * use target_include_directories
  * Drop CMake extras redundant with eigen3_cmake_module. (#50 <https://github.com/ros-perception/laser_geometry/issues/50>)
  * Contributors: Dirk Thomas, Jonathan Binney, Karsten Knese, Michel Hidalgo

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-jazzy-laser-geometry (2.1.0-4bookworm) bookworm; urgency=high

  * Merge pull request #46 <https://github.com/ros-perception/laser_geometry/issues/46> from sloretz/eigen3_cmake_module
  * Contributors: Jonathan Binney, Shane Loretz

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 26 Sep 2019 16:00:00 -0000

ros-jazzy-laser-geometry (2.0.0-4bookworm) bookworm; urgency=high

  * Removed the ``angle`` dependency as no longer necessary.
  * Updated to build statically but use position independent code.
  * Updated to compile, and to remove PointCloud support, and remove boost.
  * Added visibility headers modified from ``rclcpp``.
  * Updated ``laser_geometry`` to build for ros2 (and on Windows 10).
  * Improved use of numpy. (#14 <https://github.com/ros-perception/laser_geometry/issues/14>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Brian Fjeldstad, Eric Wieser, Jon Binney, Jonathan Binney, Martin Idel, Mikael Arguedas, Vincent Rabaud, William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 26 Jun 2018 16:00:00 -0000

ros-jazzy-laser-geometry (1.6.4-4bookworm) bookworm; urgency=high

  * Fix segfault when laserscan ranges[] is empty
  * Contributors: Timm Linder, Vincent Rabaud

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 17 May 2015 16:00:00 -0000

ros-jazzy-laser-geometry (1.6.3-4bookworm) bookworm; urgency=high

  * provide support for tf2
  * Contributors: Vincent Rabaud

 -- Dharini Dutia <dharini@openrobotics.org>  Fri, 06 Mar 2015 16:00:00 -0000

ros-jazzy-laser-geometry (1.6.2-4bookworm) bookworm; urgency=high

  * adds python port (only simple projection)
  * allows to have range_cutoff > range_max
    NOTE this is required if we need to keep the range_max readings
    in the point cloud.
    An example application is an obstacle_layer in a costmap.
  * Contributors: Vincent Rabaud, enriquefernandez

 -- Dharini Dutia <dharini@openrobotics.org>  Sat, 07 Jun 2014 16:00:00 -0000

ros-jazzy-laser-geometry (1.6.1-4bookworm) bookworm; urgency=high

  * Added dependency on cmake_modules
  * Contributors: William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Sat, 22 Feb 2014 16:00:00 -0000

ros-jazzy-laser-geometry (1.6.0-4bookworm) bookworm; urgency=high

  * Adding William Woodall as a co-maintainer
  * Contributors: Vincent Rabaud, William Woodall

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 20 Feb 2014 16:00:00 -0000

ros-jazzy-laser-geometry (1.5.15-4bookworm) bookworm; urgency=high

  * Fix mistake in end_time calculation for scan transformation in #6

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 01 Dec 2013 16:00:00 -0000

ros-jazzy-laser-geometry (1.5.14-4bookworm) bookworm; urgency=high

  * Treat max_range as invalid measurement
  * Properly propagate range_cutoff
  * check for CATKIN_ENABLE_TESTING

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 03 Nov 2013 16:00:00 -0000

ros-jazzy-laser-geometry (1.5.13-4bookworm) bookworm; urgency=high

  * fixes #3 <https://github.com/ros-perception/laser_geometry/issues/3>


