=== debian/control ===
Source: ros-jazzy-laser-geometry
Section: misc
Priority: optional
Maintainer: Dharini Dutia <dharini@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-cppcheck <!nocheck>, ros-jazzy-ament-cmake-cpplint <!nocheck>, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-cmake-lint-cmake <!nocheck>, ros-jazzy-ament-cmake-pytest <!nocheck>, ros-jazzy-ament-cmake-uncrustify <!nocheck>, ros-jazzy-eigen3-cmake-module, ros-jazzy-python-cmake-module <!nocheck>, ros-jazzy-rclcpp, ros-jazzy-sensor-msgs, ros-jazzy-tf2, ros-jazzy-ros-workspace
Homepage: http://ros.org/wiki/laser_geometry
Standards-Version: 3.9.2

Package: ros-jazzy-laser-geometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, python3-numpy, ros-jazzy-eigen3-cmake-module, ros-jazzy-rclcpp, ros-jazzy-rclpy, ros-jazzy-sensor-msgs, ros-jazzy-sensor-msgs-py, ros-jazzy-tf2, ros-jazzy-ros-workspace
Description: This package contains a class for converting from a 2D laser scan as defined by sensor_msgs/LaserScan into a point cloud as defined by sensor_msgs/PointCloud or sensor_msgs/PointCloud2.
 In particular, it contains functionality to account for the skew resulting from moving robots or tilting laser scanners.
